interface MojangUser {
    access_token: string;
    client_token: string;
    uuid: string;
    name: string;
    user_properties: string;
    meta: {
        online: boolean;
        type: string;
    };
    error?: boolean;
    message?: string;
}
interface MojangResponse {
    accessToken?: string;
    clientToken?: string;
    selectedProfile?: {
        id: string;
        name: string;
    };
    error?: boolean;
    message?: string;
}
declare function login(username: string, password?: string): Promise<MojangUser | MojangResponse>;
declare function refresh(acc: MojangUser): Promise<MojangUser | MojangResponse>;
declare function validate(acc: MojangUser): Promise<boolean>;
declare function signout(acc: MojangUser): Promise<boolean>;
declare function ChangeAuthApi(url: string): void;
export { login, refresh, validate, signout, ChangeAuthApi };
